#include "K34Power.h"
#include "AuthoritativeActorPoolComponent.h"
#include "K34PowerChargePresentationPowerFadeComponent.h"
#include "K34PowerChargePresentationItemProgressComponent.h"

class AActor;
class AKiller;

void AK34Power::OnKillerIntroCompleted() const
{

}

void AK34Power::OnFootstepAddedToPool(AActor* actor) const
{

}

AKiller* AK34Power::GetOwningKiller() const
{
	return NULL;
}

AK34Power::AK34Power()
{
	this->_tipToeModeComponentClassToSpawn = NULL;
	this->_footstepsComponentClassToSpawn = NULL;
	this->_dodsonComponentClassToSpawn = NULL;
	this->_k34PerspectiveChangeComponentClass = NULL;
	this->_k34ScoringComponentClass = NULL;
	this->_feetActorPool = CreateDefaultSubobject<UAuthoritativeActorPoolComponent>(TEXT("K34FootstepPool"));
	this->_presentationPowerFadeComponent = CreateDefaultSubobject<UK34PowerChargePresentationPowerFadeComponent>(TEXT("PresentationPowerFadeComponent"));
	this->_presentationItemProgressComponent = CreateDefaultSubobject<UK34PowerChargePresentationItemProgressComponent>(TEXT("PresentationPowerProgressComponent"));
}
